/*
 *	
 *	リンク切れの曲を削除する
 *		Written by Kenichi Maehashi
 *	
 *	Copyright (C) 2006-2007 Kenichi Maehashi, All rights reserved.
 *	
 *	Contact:
 *		webmaster@kenichimaehashi.com
 *		http://www.KenichiMaehashi.com/
 *	
 */

doMain();

function doMain()
{
	try
	{
		var iTunesApp = WScript.CreateObject("iTunes.Application");
	}	
	catch (e)
	{
		WScript.Echo("iTunes がインストールされていません。");
		return;
	}

	var iTmainLibrary = iTunesApp.LibraryPlaylist;
	var iTmainLibTracks = iTmainLibrary.Tracks;
	var tracksRemaining = iTmainLibTracks.Count;
	var deletedTracksCount = 0;
	
	while ( tracksRemaining != 0 )
	{
		var currentTrack = iTmainLibTracks.Item(tracksRemaining);
		
		if ( (currentTrack.Kind == 1) && (currentTrack.Location == "") )
		{
			currentTrack.Delete();
			deletedTracksCount++;
		}
	
		tracksRemaining--;
	}

	if (deletedTracksCount == 0)
	{
		WScript.Echo("リンクの切れた曲は、見つかりませんでした。");
	}
	else
	{
		WScript.Echo("リンクの切れていた " + deletedTracksCount + " 曲を、削除しました。");
	}
}